Bug 1896051 - Package Server is in 'Cannot update' status despite properly working
Summary: Package Server is in 'Cannot update' status despite properly working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Evan Cordell
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1819457
Blocks: 1896079
TreeView+ depends on / blocked
 
Reported: 2020-11-09 16:42 UTC by OpenShift BugZilla Robot
Modified: 2020-11-30 16:46 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 16:46:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1856 0 None closed Bug 1896051: Services should not have duplicate ownerrefs 2021-02-12 14:02:04 UTC
Red Hat Product Errata RHBA-2020:5115 0 None None None 2020-11-30 16:46:29 UTC

Comment 3 Jian Zhang 2020-11-23 02:18:43 UTC
The fixed PR only for the packageserver ownerReferences issue. And, only one ownerReferences uid, LGTM, verify it.
1, Create a 4.6 cluster.
[root@preserve-olm-env data]# oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2020-11-22-160856   True        False         30m     Cluster version is 4.6.0-0.nightly-2020-11-22-160856
[root@preserve-olm-env data]# oc -n openshift-operator-lifecycle-manager  exec catalog-operator-79b84f5f77-2xt89 -- olm --version
OLM version: 0.16.1
git commit: f754da683a76e2f0f7fe0cd08b96f925c4a24cb2

2, Check the packageserver service
[root@preserve-olm-env data]# oc get service packageserver-service -n openshift-operator-lifecycle-manager -o yaml
apiVersion: v1
kind: Service
metadata:
...
  name: packageserver-service
  namespace: openshift-operator-lifecycle-manager
  ownerReferences:
  - apiVersion: operators.coreos.com/v1alpha1
    blockOwnerDeletion: false
    controller: false
    kind: ClusterServiceVersion
    name: packageserver
    uid: 54b78ce8-d64f-45ee-8b5a-a1d0c40119c2
  resourceVersion: "7357"
  selfLink: /api/v1/namespaces/openshift-operator-lifecycle-manager/services/packageserver-service
  uid: 07596f04-d94d-4eec-bd0d-a59dee1ade3e

[root@preserve-olm-env data]# oc get csv -n openshift-operator-lifecycle-manager packageserver -o yaml
apiVersion: operators.coreos.com/v1alpha1
kind: ClusterServiceVersion
metadata:
...
  name: packageserver
  namespace: openshift-operator-lifecycle-manager
  resourceVersion: "36300"
  selfLink: /apis/operators.coreos.com/v1alpha1/namespaces/openshift-operator-lifecycle-manager/clusterserviceversions/packageserver
  uid: 54b78ce8-d64f-45ee-8b5a-a1d0c40119c2

3, the upgrade to 4.6 from 4.5 works well.

Comment 6 errata-xmlrpc 2020-11-30 16:46:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:5115


Note You need to log in before you can comment on or make changes to this bug.